summaryrefslogtreecommitdiffstats
path: root/libraries/QuantLib
diff options
context:
space:
mode:
author Aleksandar Samardzic2010-05-13 00:28:41 +0200
committer David Somero2010-05-13 00:28:41 +0200
commitefb5f10ea942edc0c3fae7fdab7862830f2990d8 (patch)
tree0733a1789891f575f1eef4ff94e1c58f6993e7a2 /libraries/QuantLib
parenteab5e61519eca2c3e84b415507797d867f2e3779 (diff)
downloadslackbuilds-efb5f10ea942edc0c3fae7fdab7862830f2990d8.tar.gz
libraries/QuantLib: Updated for version 0.9.7
Diffstat (limited to 'libraries/QuantLib')
-rw-r--r--libraries/QuantLib/QuantLib.SlackBuild12
-rw-r--r--libraries/QuantLib/QuantLib.info2
-rw-r--r--libraries/QuantLib/README2
3 files changed, 11 insertions, 5 deletions
diff --git a/libraries/QuantLib/QuantLib.SlackBuild b/libraries/QuantLib/QuantLib.SlackBuild
index bc1fb83196..b8b588596d 100644
--- a/libraries/QuantLib/QuantLib.SlackBuild
+++ b/libraries/QuantLib/QuantLib.SlackBuild
@@ -15,10 +15,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -40,6 +43,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -51,8 +55,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -69,4 +75,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/QuantLib/QuantLib.info b/libraries/QuantLib/QuantLib.info
index fe933a8a21..fc2685efd9 100644
--- a/libraries/QuantLib/QuantLib.info
+++ b/libraries/QuantLib/QuantLib.info
@@ -2,7 +2,9 @@ PRGNAM="QuantLib"
VERSION="0.9.7"
HOMEPAGE="http://www.quantlib.org/"
DOWNLOAD="http://downloads.sourceforge.net/quantlib/QuantLib-0.9.7.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="4add05ae7af8bc7bb4f0477c083eb99c"
+MD5SUM_x86_64=""
MAINTAINER="Aleksandar Samardzic"
EMAIL="asamardzic@gmail.com"
APPROVED="dsomero"
diff --git a/libraries/QuantLib/README b/libraries/QuantLib/README
index 4174b63fe5..ff2d3a3556 100644
--- a/libraries/QuantLib/README
+++ b/libraries/QuantLib/README
@@ -1,5 +1,3 @@
The Quantlib project is aimed at providing a comprehensive software
framework for quantitative finance. QuantLib is a free open-source
library for modeling, trading, and risk management in real-life.
-
-QuantLib requires Boost, which is also available from SlackBuilds.org.